<!DOCTYPE html>
<html>
    <head>
        <link href="./img/favicon.png" rel="shortcut icon"/>
        <meta charset="utf-8"/>
        <meta content="width=1366px, maximum-scale=1.0" name="viewport"/>
        <link href="./css/exerciseForComparingCollisionTechniques.css" rel="stylesheet" type="text/css"/>
        <meta content="Launchpad by Anima" name="author">
        </meta>
    </head>
    <body style="margin: 0;
 background: rgba(255, 255, 255, 1.0);">
        <input id="anPageName" name="page" type="hidden" value="exerciseforcomparingcollisiontechniques"/>
        <div id="TEfMNxc" style="visibility: hidden;">
            <div class="exerciseforcomparingcollisiontechniques">
                <div style="width: 1366px; height: 100%; position:relative; margin:auto;">
                    <div class="rectangle7copy2 ">
                    </div>
                    <div class="rectangle7 ">
                    </div>
                    <img class="path3" src="https://img.animaapp.com/Ebw2r6N/dllexercise-1-copy-7-path-3@2x.png">
                        <img class="line2" src="https://img.animaapp.com/Ebw2r6N/dllexercise-1-copy-7-line-2@2x.png">
                            <img class="path14copy8" src="https://img.animaapp.com/Ebw2r6N/dllexercise-1-copy-7-path-14-copy-9@2x.png">
                                <div class="group15copy ">
                                    <div class="i">
                                        i
                                    </div>
                                    <img class="oval2" src="https://img.animaapp.com/Ebw2r6N/dllexercise-1-copy-7-oval-2@2x.png"/>
                                </div>
                                <div class="group14copy ">
                                    <div class="i1">
                                        i
                                    </div>
                                    <img class="oval21" src="https://img.animaapp.com/Ebw2r6N/dllexercise-1-copy-7-oval-2 1@2x.png"/>
                                </div>
                                <div class="exerciseforcompari">
                                    Exercise for Comparing  collision techniques
                                    <br/>
                                </div>
                                <div class="group6 ">
                                    <div class="moreu2026">
                                        more…
                                    </div>
                                    <div class="rectangle4copy5 ">
                                    </div>
                                </div>
                                <div class="q1">
                                    Q.1
                                </div>
                                <div class="insert416389948">
                                    Insert 41,63,89,94,82 and 45 in the given Hashtable.
                                </div>
                                <div class="parta">
                                    Part A:
                                </div>
                                <div class="group8 ">
                                    <div class="rectangle4 ">
                                    </div>
                                    <div class="q11">
                                        Q.1
                                    </div>
                                </div>
                                <div class="group8copy2 ">
                                    <div class="rectangle41 ">
                                    </div>
                                    <div class="q2">
                                        Q.2
                                    </div>
                                </div>
                                <div class="retry">
                                    Retry
                                </div>
                                <div class="cancelsymbolinsideacirclecopy ">
                                    <img class="shape" src="https://img.animaapp.com/Ebw2r6N/dllexercise-1-copy-7-shape@2x.png"/>
                                </div>
                                <div class="info ">
                                    <img class="shape1" src="https://img.animaapp.com/Ebw2r6N/dllexercise-1-copy-7-shape 5@2x.png">
                                        <img class="shape2" src="https://img.animaapp.com/Ebw2r6N/dllexercise-1-copy-7-shape 6@2x.png">
                                            <img class="shape3" src="https://img.animaapp.com/Ebw2r6N/dllexercise-1-copy-7-shape 7@2x.png"/>
                                        </img>
                                    </img>
                                </div>
                                <div class="group14 ">
                                    <div class="group12 ">
                                        <div class="group11 ">
                                            <div class="rectangle3 ">
                                            </div>
                                            <div class="group81 ">
                                                <div class="group7 ">
                                                    <img class="path2copy3" src="https://img.animaapp.com/Ebw2r6N/dllexercise-1-copy-7-path-2-copy-3@2x.png">
                                                        <img class="path14copy9" src="https://img.animaapp.com/Ebw2r6N/dllexercise-1-copy-7-path-14-copy-9@2x.png">
                                                            <div class="solveatleasttwoq">
                                                                Solve at least two questions
                                                                <br>
                                                                    Use left    and right    arrow keys to traverse through the doubly linked list
                                                                    <br>
                                                                        Press Delete button to remove the node
                                                                    </br>
                                                                </br>
                                                            </div>
                                                            <div class="instruction">
                                                                Instruction:
                                                            </div>
                                                            <img class="path4" src="https://img.animaapp.com/Ebw2r6N/dllexercise-1-copy-7-path-4@2x.png">
                                                                <img class="path4copy" src="https://img.animaapp.com/Ebw2r6N/dllexercise-1-copy-7-path-4-copy@2x.png"/>
                                                            </img>
                                                        </img>
                                                    </img>
                                                </div>
                                            </div>
                                            <div class="group13 ">
                                                <div class="rectangle5 ">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="rightarrow ">
                                            <img class="shape4" src="https://img.animaapp.com/Ebw2r6N/dllexercise-1-copy-7-shape 4@2x.png"/>
                                        </div>
                                    </div>
                                </div>
                                <div class="group10 ">
                                    <div class="buttoncopy4 ">
                                        <div class="rectangle ">
                                        </div>
                                    </div>
                                    <div class="restart">
                                        Restart
                                    </div>
                                </div>
                                <div class="group10copy ">
                                    <div class="buttoncopy41 ">
                                        <div class="rectangle1 ">
                                        </div>
                                    </div>
                                    <div class="check">
                                        Check
                                    </div>
                                </div>
                                <div class="group4 ">
                                    <img class="path14copy5" src="https://img.animaapp.com/Ebw2r6N/dllexercise-1-copy-7-path-14-copy-9@2x.png">
                                        <img class="path14copy6" src="https://img.animaapp.com/Ebw2r6N/dllexercise-1-copy-7-path-14-copy-9@2x.png">
                                            <div class="arrowcopy3 ">
                                                <div class="group4 ">
                                                    <img class="path6" src="https://img.animaapp.com/Ebw2r6N/dllexercise-1-copy-7-path-6@2x.png">
                                                        <img class="path7" src="https://img.animaapp.com/Ebw2r6N/dllexercise-1-copy-7-path-7@2x.png"/>
                                                    </img>
                                                </div>
                                            </div>
                                            <div class="bu ">
                                                <div class="group ">
                                                    <div class="rectangle6copy ">
                                                    </div>
                                                    <div class="a0copy">
                                                        0
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="group1 ">
                                                <div class="a0copy1">
                                                    4
                                                </div>
                                            </div>
                                            <div class="bucopy ">
                                                <div class="group2 ">
                                                    <div class="rectangle6copy1 ">
                                                    </div>
                                                    <div class="a0copy2">
                                                        1
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="group3 ">
                                                <div class="a0copy3">
                                                    5
                                                </div>
                                            </div>
                                            <div class="group5 ">
                                                <div class="a0copy4">
                                                    2
                                                </div>
                                            </div>
                                            <div class="group9 ">
                                                <div class="a0copy5">
                                                    6
                                                </div>
                                            </div>
                                            <div class="group15 ">
                                                <div class="a0copy6">
                                                    8
                                                </div>
                                            </div>
                                            <div class="group16 ">
                                                <div class="a0copy7">
                                                    3
                                                </div>
                                            </div>
                                            <div class="group17 ">
                                                <div class="a0copy8">
                                                    7
                                                </div>
                                            </div>
                                            <div class="group18 ">
                                                <div class="a0copy9">
                                                    9
                                                </div>
                                            </div>
                                            <div class="groupcopy ">
                                                <div class="a10">
                                                    10
                                                </div>
                                            </div>
                                            <div class="groupcopy2 ">
                                                <div class="a19">
                                                    19
                                                </div>
                                            </div>
                                            <div class="hashin">
                                                Hash In.
                                            </div>
                                            <div class="lp">
                                                LP
                                            </div>
                                            <div class="qp">
                                                QP
                                            </div>
                                            <div class="group31 ">
                                                <div class="rectangle2 ">
                                                </div>
                                                <div class="group21 ">
                                                    <img class="path2" src="https://img.animaapp.com/8FQ4jUs/dllexercise-1-copy-9-path-2@2x.png">
                                                        <img class="path2copy" src="https://img.animaapp.com/8FQ4jUs/dllexercise-1-copy-9-path-2@2x.png">
                                                            <img class="path2copy2" src="https://img.animaapp.com/8FQ4jUs/dllexercise-1-copy-9-path-2@2x.png">
                                                                <img class="path2copy4" src="https://img.animaapp.com/8FQ4jUs/dllexercise-1-copy-9-path-2@2x.png">
                                                                    <img class="path2copy5" src="https://img.animaapp.com/8FQ4jUs/dllexercise-1-copy-9-path-2@2x.png">
                                                                        <img class="path2copy6" src="https://img.animaapp.com/8FQ4jUs/dllexercise-1-copy-9-path-2@2x.png">
                                                                            <img class="path2copy7" src="https://img.animaapp.com/8FQ4jUs/dllexercise-1-copy-9-path-2@2x.png">
                                                                                <img class="path2copy8" src="https://img.animaapp.com/8FQ4jUs/dllexercise-1-copy-9-path-2@2x.png">
                                                                                    <img class="path2copy9" src="https://img.animaapp.com/8FQ4jUs/dllexercise-1-copy-9-path-2@2x.png">
                                                                                        <img class="path2copy10" src="https://img.animaapp.com/8FQ4jUs/dllexercise-1-copy-9-path-2@2x.png">
                                                                                            <img class="path2copy11" src="https://img.animaapp.com/8FQ4jUs/dllexercise-1-copy-9-path-2@2x.png"/>
                                                                                        </img>
                                                                                    </img>
                                                                                </img>
                                                                            </img>
                                                                        </img>
                                                                    </img>
                                                                </img>
                                                            </img>
                                                        </img>
                                                    </img>
                                                </div>
                                            </div>
                                            <div class="group3copy ">
                                                <div class="rectangle21 ">
                                                </div>
                                                <div class="group22 ">
                                                    <img class="path21" src="https://img.animaapp.com/8FQ4jUs/dllexercise-1-copy-9-path-2@2x.png">
                                                        <img class="path2copy1" src="https://img.animaapp.com/8FQ4jUs/dllexercise-1-copy-9-path-2@2x.png">
                                                            <img class="path2copy21" src="https://img.animaapp.com/8FQ4jUs/dllexercise-1-copy-9-path-2@2x.png">
                                                                <img class="path2copy41" src="https://img.animaapp.com/8FQ4jUs/dllexercise-1-copy-9-path-2@2x.png">
                                                                    <img class="path2copy51" src="https://img.animaapp.com/8FQ4jUs/dllexercise-1-copy-9-path-2@2x.png">
                                                                        <img class="path2copy61" src="https://img.animaapp.com/8FQ4jUs/dllexercise-1-copy-9-path-2@2x.png">
                                                                            <img class="path2copy71" src="https://img.animaapp.com/8FQ4jUs/dllexercise-1-copy-9-path-2@2x.png">
                                                                                <img class="path2copy81" src="https://img.animaapp.com/8FQ4jUs/dllexercise-1-copy-9-path-2@2x.png">
                                                                                    <img class="path2copy91" src="https://img.animaapp.com/8FQ4jUs/dllexercise-1-copy-9-path-2@2x.png">
                                                                                        <img class="path2copy101" src="https://img.animaapp.com/8FQ4jUs/dllexercise-1-copy-9-path-2@2x.png">
                                                                                            <img class="path2copy111" src="https://img.animaapp.com/8FQ4jUs/dllexercise-1-copy-9-path-2@2x.png"/>
                                                                                        </img>
                                                                                    </img>
                                                                                </img>
                                                                            </img>
                                                                        </img>
                                                                    </img>
                                                                </img>
                                                            </img>
                                                        </img>
                                                    </img>
                                                </div>
                                            </div>
                                        </img>
                                    </img>
                                </div>
                            </img>
                        </img>
                    </img>
                </div>
            </div>
        </div>
        <script>
            function styleLoadedTEfMNxc() {
                var e = document.getElementById('TEfMNxc');
                e.style.visibility = 'visible';
            }
            var h = document.getElementsByTagName('head')[0];
            var l = document.createElement('link');
            l.setAttribute('rel', 'stylesheet');
            l.setAttribute('type', 'text/css');
            l.setAttribute('href', 'https://api.animaapp.com/handoff/component/TEfMNxc/style.css');
            l.setAttribute('onload', 'styleLoadedTEfMNxc()');
            h.appendChild(l);
            var s = document.createElement('script');
            s.type = 'text/javascript';
            s.src = 'https://api.animaapp.com/handoff/component/TEfMNxc/component.js';
            h.appendChild(s);
        </script>
        <!-- Scripts -->
        <script>
            anima_isHidden = function(e) {
                if (!(e instanceof HTMLElement)) return !1;
                if (getComputedStyle(e).display == "none") return !0; else if (e.parentNode && anima_isHidden(e.parentNode)) return !0;
                return !1;
            };
            anima_loadAsyncSrcForTag = function(tag) {
                var elements = document.getElementsByTagName(tag);
                var toLoad = [];
                for (var i = 0; i < elements.length; i++) {
                    var e = elements[i];
                    var src = e.getAttribute("src");
                    var loaded = (src != undefined && src.length > 0 && src != 'data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw==');
                    if (loaded) continue;
                    var asyncSrc = e.getAttribute("anima-src");
                    if (asyncSrc == undefined || asyncSrc.length == 0) continue;
                    if (anima_isHidden(e)) continue;
                    toLoad.push(e);
                }
                toLoad.sort(function(a, b) {
                    return anima_getTop(a) - anima_getTop(b);
                });
                for (var i = 0; i < toLoad.length; i++) {
                    var e = toLoad[i];
                    var asyncSrc = e.getAttribute("anima-src");
                    e.setAttribute("src", asyncSrc);
                }
            };
            anima_pauseHiddenVideos = function(tag) {
                var elements = document.getElementsByTagName("video");
                for (var i = 0; i < elements.length; i++) {
                    var e = elements[i];
                    var isPlaying = !!(e.currentTime > 0 && !e.paused && !e.ended && e.readyState > 2);
                    var isHidden = anima_isHidden(e);
                    if (!isPlaying && !isHidden && e.getAttribute("autoplay") == "autoplay") {
                        e.play();
                    } else if (isPlaying && isHidden) {
                        e.pause();
                    }
                }
            };
            anima_loadAsyncSrc = function(tag) {
                anima_loadAsyncSrcForTag("img");
                anima_loadAsyncSrcForTag("iframe");
                anima_loadAsyncSrcForTag("video");
                anima_pauseHiddenVideos();
            };
            var anima_getTop = function(e) {
                var top = 0;
                do {
                    top += e.offsetTop || 0;
                    e = e.offsetParent;
                } while (e);
                return top;
            };
            anima_loadAsyncSrc();
            anima_old_onResize = window.onresize;
            anima_new_onResize = undefined;
            anima_updateOnResize = function() {
                if (anima_new_onResize == undefined || window.onresize != anima_new_onResize) {
                    anima_new_onResize = function(x) {
                        if (anima_old_onResize != undefined) anima_old_onResize(x);
                        anima_loadAsyncSrc();
                    };
                    window.onresize = anima_new_onResize;
                    setTimeout(function() {
                        anima_updateOnResize();
                    }, 3000);
                }
            };
            anima_updateOnResize();
            setTimeout(function() {
                anima_loadAsyncSrc();
            }, 200);
        </script>
        <!-- End of Scripts -->
    </body>
</html>
